Loading...
Searching...
No Matches
path.c File Reference
`#include <grass/gis.h>`
`#include "path.h"`
Include dependency graph for path.c:

Go to the source code of this file.

## Functions

void | path_init (struct path *p)
void | path_free (struct path *p)
void | path_alloc (struct path *p, int n)
void | path_reset (struct path *p)
void | path_append (struct path *p, double x, double y, int mode)
void | path_copy (struct path *dst, const struct path *src)
void | path_begin (struct path *p)
void | path_move (struct path *p, double x, double y)
void | path_cont (struct path *p, double x, double y)
void | path_close (struct path *p)
void | path_stroke (struct path *p, void(*line)(double, double, double, double))

## Function Documentation

## path_alloc()

void path_alloc | ( | struct path * | p,
|  | int | n )

Definition at line 22 of file path.c.

References path::alloc, and path::vertices.

Referenced by path_append(), and path_copy().

## path_append()

void path_append | ( | struct path * | p,
|  | double | x,
|  | double | y,
|  | int | mode )

Definition at line 37 of file path.c.

References path::alloc, path::count, vertex::mode, path_alloc(), path::vertices, vertex::x, x, and vertex::y.

Referenced by path_close(), path_cont(), path_copy(), and path_move().

## path_begin()

void path_begin | ( | struct path * | p | ) |

Definition at line 66 of file path.c.

References path::count, and path::start.

Referenced by HTML_Begin(), and PNG_Begin().

## path_close()

void path_close | ( | struct path * | p | ) |

Definition at line 83 of file path.c.

References P_CLOSE, path_append(), path::start, path::vertices, vertex::x, and vertex::y.

Referenced by HTML_Close(), PNG_Close(), png_draw_line(), and png_polygon().

## path_cont()

void path_cont | ( | struct path * | p,
|  | double | x,
|  | double | y )

Definition at line 78 of file path.c.

References P_CONT, path_append(), x, and vertex::y.

Referenced by HTML_Cont(), PNG_Cont(), and png_draw_line().

## path_copy()

void path_copy | ( | struct path * | dst,
|  | const struct path * | src )

Definition at line 51 of file path.c.

References vertex::mode, path_alloc(), path_append(), path_reset(), vertex::x, and vertex::y.

## path_free()

void path_free | ( | struct path * | p | ) |

Definition at line 12 of file path.c.

References path::alloc, path::count, G_free(), path::start, and path::vertices.

## path_init()

void path_init | ( | struct path * | p | ) |

Definition at line 4 of file path.c.

References path::alloc, path::count, NULL, path::start, and path::vertices.

## path_move()

void path_move | ( | struct path * | p,
|  | double | x,
|  | double | y )

Definition at line 72 of file path.c.

References path::count, P_MOVE, path_append(), path::start, x, and vertex::y.

Referenced by HTML_Move(), png_draw_line(), and PNG_Move().

## path_reset()

void path_reset | ( | struct path * | p | ) |

Definition at line 31 of file path.c.

References path::count, and path::start.

Referenced by HTML_Stroke(), path_copy(), and path_stroke().

## path_stroke()

void path_stroke | ( | struct path * | p,
|  | void(* | line )(double, double, double, double) )

Definition at line 96 of file path.c.

References path::count, vertex::mode, P_MOVE, path_reset(), path::vertices, vertex::x, and vertex::y.

Referenced by PNG_Stroke().